<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.6.10
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Portal module : 
* sn_news_portal.php: last changed 25/06/2008 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$table_news = $dbprefix."m_news_articles";
$table_news_cat = $dbprefix."m_news_cat";

$query3 = "SELECT date_format(date, '$sas_config[dateformat]') AS Readable_Date, title, category, id FROM $table_news 
WHERE date <= current_date() AND archive != 1 AND public = '$public' ORDER BY date DESC LIMIT 0,$items";
					
$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
$RecordCount = mysqli_num_rows($result3);

if ($RecordCount > 0)
{

	print "\n<table cellpadding=\"0\" cellspacing=\"2\">\n
			<tr><td colspan=\"3\"><span class=\"sas_module_subtitle\">" . $description . "</span></td></tr>\n
			<tr><td width=\"100\"><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_date']."</span></td>
			<td>&nbsp;</td>
			<td><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_description']."</span></td></tr>\n";
			
	while ($news_list = mysqli_fetch_array($result3))
	{	
		//get the news module name from the pages table
		$query4 = "SELECT title FROM $table_news_cat WHERE id = '$news_list[2]'";
		$result4 = mysqli_query($db,$query4) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query4 . '".',E_USER_WARNING);
		$RecordCount = mysqli_num_rows($result4);
		
		if ($RecordCount > 0)
		{
			$news_name = mysqli_result($result4, 0, 0);
		}
		
		//get page and section id's for the link
		$query5 = "SELECT id, section FROM $table_pages WHERE name = '$news_name' AND module = 'sn_news/frontpage_cat.php' AND invisible != 'yes'";
		$result5 = mysqli_query($db,$query5) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query5 . '".',E_USER_WARNING);
		$RecordCount = mysqli_num_rows($result5);
		
		if ($RecordCount > 0)
		{
			$page = mysqli_result($result5, 0, 0);
			$section = mysqli_result($result5, 0, 1);
		}
		else
		{
			$query5 = "SELECT id, section FROM $table_pages WHERE module = 'sn_news/frontpage.php' AND invisible != 'yes'";
			$result5 = mysqli_query($db,$query5) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query5 . '".',E_USER_WARNING);
			$RecordCount = mysqli_num_rows($result5);
			
			if ($RecordCount > 0)
			{
				$page = mysqli_result($result5, 0, 0);
				$section = mysqli_result($result5, 0, 1);
			}
		}
			$link = "index.php?page=$page&amp;section=$section#$news_list[3]";
			$descr = substr(strip_tags($news_list[1]),0,45) ;
		
		print "<tr><td valign=\"top\"><span class=\"sas_module_text\">$news_list[0]</span></td>
				<td>&nbsp;</td>
				<td><span class=\"sas_module_text\">$descr, </span><span class=\"sas_module_link\">
				<a href=\"$link\" target=\"$target\">".$sas_lang['portal_module_read_more']."</a></span></td>
				</tr>\n";
	}
	print "</table>\n";
}
?>