<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.8.01  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Class pages module : 
*  student.php: last changed 11/05/2009  by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
if (IsSet ($_GET['modoption']))
{
	$modoption = $_GET['modoption'];
	$modoption = htmlspecialchars(strip_tags($modoption)); //remove html tags
}
if (IsSet ($_GET['page_id']))
{
	$page_id = intval($_GET['page_id']);
}

$height = $sas_config['htmlarea_editor_rows'] * 20 + 130;

print "<script type=\"text/javascript\">
function NewWindow (link) 
{
var win_left = (screen.width - 780) / 2;
var win_top = (screen.height - $height) / 2;
  window1 = window.open(link, \"Pupileditor\", \"width=780,height=$height,resizable=yes,scrollbars=no\");
  window1.moveTo(win_left,win_top)
  window1.focus();
}
</script>";

if (IsSet ($userid) AND (($_SESSION['user_type'] == 1) or ($_SESSION['user_type'] == 21)))
{

	$query = "SELECT name, project FROM $table_users WHERE id = '".$userid."'"; // getting the studentname
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
	$student_name = mysqli_result($result, 0, 0);
	$student_project = mysqli_result($result, 0, 1);
	$project_array = explode(",", $student_project); //create an array
	unset ($query);
	unset ($result);

	switch ($modoption) // start of switch
	{
		default : // welcome screen

			print "<span class=\"sas_module_title\">". $sas_lang['welcome'] . " <b>" . $student_name . "</b>.&nbsp;" . $sas_lang['logged_in'] . ".</span><br/><br/>";
			print "<table cellpadding=\"5\">";

			if ($student_project != "") //do we have a project(s)
			{
				foreach ($project_array as $student_project)
				{
					//get the projectid connected to project
					$query3 = "SELECT dir_number, name FROM $table_classes WHERE id = '".$student_project."'";
					$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query3 . '".',E_USER_WARNING); 
					
					if (mysqli_num_rows($result3) > 0)
					{
						$project_id = mysqli_result($result3, 0, 'dir_number');
						$project_name = mysqli_result($result3, 0, 'name');
						//get the project pages
						$query = "SELECT studentid, title FROM $table_studentpages WHERE dir_number = '".$project_id."' ORDER BY sort"; 
						$result2 = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING);
						$num_rows = mysqli_num_rows($result2);
						
						print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['student_project'] . "</span></td><td>:</td>\n
								<td colspan=\"3\" class=\"sas_module_title\"> $project_name</td></tr>\n
								<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['student_view'] . "</span></td><td>:</td>\n";
						unset ($title_list1);
						unset ($studentid_list1);
						while ($row = mysqli_fetch_array($result2))
						{
							$title_list1[] = $row['title'];
							$studentid_list1[] = $row['studentid'];
							$auth_pages .= $row['studentid'] . ",";
						}
						if ($num_rows > 0)
						{
							$i = 0;
							$j = 0;
							// view links
							foreach ($title_list1 as $title)
							{
								print "<td><a href=\"index.php?section=$section&amp;page=$page&amp;modoption=view_page&amp;page_id=$studentid_list1[$i]&option=project\" class=\"sas_module_link\">$title </a></td>\n";
								$i++;
								$j++;
								if ($j > 6)
								{
									print "</tr>\n<tr><td>&nbsp;</td>\n";
									$j = 0;
								}
							}
							print "</tr>\n";
							print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['page_edit'] . "</span></td><td>:</td>\n";
							$i = 0;
							$j = 0;
							//edit links
							foreach ($title_list1 as $title)
							{
								print "<td><a href=\"javascript:NewWindow('" . $sas_config['url'] . "$cmsdir/editors/ckeditor/studenteditor.php?editpage=$studentid_list1[$i]')\" class=\"sas_module_link\">$title </a></td>\n";
								$i++;
								$j++;
								if ($j > 6)
								{
									print "</tr>\n<tr><td>&nbsp;</td>\n";
									$j = 0;
								}
							}
						}
						print "</tr></table>\n<hr>\n<table cellpadding=\"5\">\n";
					}
				}
			}
			print "<tr><td class=\"sas_module_title\">" . $sas_lang['student_pages'] . ":</td></tr><tr>\n";
			print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['student_view'] . "</span></td><td>:</td>\n";
			//get the pupil pages
			$query = "SELECT studentid, title FROM $table_studentpages WHERE dir_number = '".$userid."' ORDER BY sort"; 
			$result2 = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING);
			$num_rows = mysqli_num_rows($result2);

			while ($row = mysqli_fetch_array($result2))
			{
				$title_list2[] = $row['title'];
				$studentid_list2[] = $row['studentid'];
				$auth_pages .= $row['studentid'] . ",";
			}
			//store the page id's which this user is allowed to edit. used in studenteditor.php 
			$_SESSION['pages_authorized'] = substr($auth_pages,0,-1) ;
			
			if ($num_rows > 0)
			{
				$i = 0;
				//view page links
				foreach ($title_list2 as $title)
				{
					print "<td><a href=\"index.php?section=$section&amp;page=$page&amp;modoption=view_page&amp;page_id=$studentid_list2[$i]&fullname=$student_name\" class=\"sas_module_link\">$title</a></td>\n";
					$i++;
				}
				print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['page_edit'] . "</span></td><td>:</td>\n";
				$i = 0;
				//edit links
				foreach ($title_list2 as $title)
				{
					print "<td><a href=\"javascript:NewWindow('" . $sas_config['url'] . "$cmsdir/editors/ckeditor/studenteditor.php?editpage=$studentid_list2[$i]')\" class=\"sas_module_link\">$title</a></td>\n";
					$i++;
				}
			}
			else
			{
				print "</tr><tr><td width=40% align='left'><span class=\"sas_module_lbl1\">" . $sas_lang['student_no_page'] . "</span></td>\n";
			}
			print "</tr></table>";
			print "<br/><br/><a href=\"index.php?section=$section&amp;page=$page&logout=yes\" class=\"sas_module_link\"><b><< " . $sas_lang['logout'] . " <b>" . $student_name . "</b> >>&nbsp;</b></a>\n";

			// <p><a href=\"index.php?section=$section&amp;page=$page&option=profile\">Profile</a>" ;

		break;

			// case profile:
			//	include("$cmsdir/modules/sn_studentpages/profile.php") ;
			// break;

		case view_page :
		
			$query = "SELECT title, newcontent, content, dir_number FROM $table_studentpages WHERE studentid = '".$page_id."'"; // getting the newcontent
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING);  // and title
			$title = mysqli_result($result, 0, 'title');
			$content = mysqli_result($result, 0, 'newcontent');	//new content
			$dir_number = mysqli_result($result, 0, 'dir_number');

			if ($content == "")
			{
				$content = mysqli_result($result, 0, 'content');
			}
			unset ($query);
			unset ($result);
			
			if ($option == "project")
			{
				$query1 = "SELECT name FROM $table_classes WHERE dir_number = '".$dir_number."'";
				$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
				$fullname = mysqli_result($result1, 0, 'name');
				$header =  $sas_lang['student_project'] .":" ;
			}
			else
			{
				$header = $sas_lang['student_header'];
			}
			print "<table class=\"sas_module_table\">\n";
			print "<tr><td><a href=\"index.php?section=$section&amp;page=$page&amp;new_class=$new_class&amp;option=$option\" class=\"sas_module_link\"><< " . $sas_lang['goback'] . " >></a></td></tr>\n";
			print "<tr><td>&nbsp;</td></tr>";
			print "<tr><td><span class=\"sas_module_title\">". $header . " <b>$fullname</b>&nbsp;&nbsp;</span><br />" . 
					"<span class=\"sas_module_title\">" . $sas_lang['title'] . ": $title</span></td></tr>\n";
			print "<tr><td>" .$content. "</td></tr>\n" ;
			print "<tr><td>&nbsp;</td></tr>";
			print "<tr><td><a href=\"index.php?section=$section&amp;page=$page&amp;new_class=$new_class&amp;option=$option\" class=\"sas_modules_link\"><< " . $sas_lang['goback'] . " >></a></td></tr>\n";
			print "</table>\n";

		break;
	}
}
?>
