<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.7.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Messages module : 
* view_message.php: last changed 04/09/2008 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

load_language($cmsdir . '/', 'sn_message'); //load language file

$table_message = $dbprefix . "m_message";
$table_message_cat = $dbprefix . "m_message_cat";

$date_format = $sas_config['dateformat'];

//delete old entries
mysqli_query($db,"DELETE FROM $table_message WHERE todate < current_date() AND days > 0"); 

if ($_SESSION['site'] == "protected")
{
	$public = 1;	
}
else
{
	$public = 0 ;
}

print "<table class=\"sas_module_table\">";
print "<tr><td colspan=\"4\"><span class=\"sas_module_title\">";

$pagetitle = addslashes($pagetitle) ;
$query = "SELECT id, welcome, icon, show_latest FROM $table_message_cat WHERE pagename = '".$pagetitle."' AND public = '".$public."' LIMIT 1";
			
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$RecordCount = mysqli_num_rows($result);

if ($RecordCount > 0)
{
	$cat_id = mysqli_result($result, 0, 0);
	$welcome = mysqli_result($result, 0, 1);
	$icon = mysqli_result($result, 0, 2);
	$show_latest = mysqli_result($result, 0, 3);
	
	print $welcome . "</span></td></tr>\n";

print "<tr>
           <td width=\"2%\">&nbsp;</td>
           <td width=\"18%\"><span class=\"sas_module_lbl1\">" . $sas_lang['message_module_date'] . ":</span></td>
           <td width=\"60%\"><span class=\"sas_module_lbl1\">" . $sas_lang['message_module_text'] . ":</span></td>
           <td width=\"20%\"><span class=\"sas_module_lbl1\">" . $sas_lang['message_module_owner'] . ":</span></td>
       </tr>";

if($show_latest == 1)
{
	$sort = " DESC";
}
else
{
	$sort = "";
}

$query = "SELECT id, name, message, date_format(date, '%d-%m-%Y'), days AS Readable_Date, intro_message FROM $table_message
			WHERE (todate >= current_date() OR days = 0) AND date <= current_date() AND message_id = '$cat_id' ORDER BY date $sort, ID DESC";
			
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 

	$i = 0 ;
	while ($message_list = mysqli_fetch_array($result))
	{
		print "";
	
		$date1 = strftime($date_format, $message_list[3]);
	
		if($i == 0)
		{
			print "<tr class=\"sas_row_color_odd\">";	//set backgr color from CSS def odd rows
			$i = 1 ;
		}
		else
		{
			print "<tr class=\"sas_row_color_even\">"; //set backgr color from CSS def even rows
			$i = 0 ;
		}
		print "<td align=\"center\" valign=\"top\">";
		
		if (file_exists($icon)) //if icon exists show it.
		{
			print "<img src=\"$icon\" alt=\"Icon\"/>";
		}
		else
		{
			print "&nbsp";
		}
		print "</td>
			   <td valign=\"top\"><span class=\"sas_module_lbl2\">$message_list[3]";
	
		if ($message_list[4] > 0)
		{
			print "<span class=\"sas_module_lbl2\">&nbsp;&nbsp;($message_list[4])</span>";
		}
	
		print "</span></td><td valign=\"top\">";
		
		if ($message_list[5] != "")
		{
			print "<span class=\"sas_module_subtitle\">$message_list[5]</span><br/>";
		}
		print "<span class=\"sas_module_text\">$message_list[2]</span></td>
				   <td valign=\"top\"><span class=\"sas_module_text\">$message_list[1]</span></td>
			   </tr>";
	
	}
	print "</table>";
}
else
{
	print "<span class=\"sas_module_error\">".$sas_lang['message_module_page_error']."</span>" ;
}
?>
