<?php
/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.5.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* News module : 
* archive.inc.php: last changed 05/04/2007 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['article']))
{
	$article = sanitize($_GET['article'], 5, 'I');
}

print "<span class=\"sas_module_title\">" . $sas_config['news_archive_welcome_text'] . "</span><br/><br/>\n";

if (IsSet ($article))
{
	$query = "SELECT id, title, date_format(date, '$date_format') AS Readable_Date, category, content FROM $table_news_articles WHERE id = '".$article."' LIMIT 1";
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	
	while ($article_list = mysqli_fetch_array($result))
	{
		print "\n<span class=\"sas_module_lbl1\"><a name=\"$article_list[0]\">$article_list[1]</a></span> &nbsp;&nbsp;  
				<span class=\"sas_module_lbl2\">$article_list[2]</span><br/>\n
				<span class=\"sas_module_text\">$article_list[4]</span><br/><br/>\n";
	}
	print "<a href=\"index.php?section=$section&amp;page=$page\" class=\"sas_module_link\"><< " . $sas_lang['news_module_backtoarchive'] . "</a>";
}
else
{
	$query = "SELECT id, title, header FROM $table_news_category ORDER BY id DESC";
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
	
	while ($category_list = mysqli_fetch_array($result))
	{
		
		if (IsSet ($_SESSION['site']) == "protected") //are we on protected area
		{
			$query1 = "SELECT id, title, date_format(date, '$date_format') AS Readable_Date, category, content FROM $table_news_articles 
					WHERE (archive = 1 AND public = 1 AND category = $category_list[0]) ORDER BY date DESC";
		}
		else
		{
			$query1 = "SELECT id, title, date_format(date, '$date_format') AS Readable_Date, category, content FROM $table_news_articles 
					WHERE (archive = 1 AND public = 0 AND category = $category_list[0]) ORDER BY date DESC";
		}
		
		$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING);
		$RecordCount = mysqli_num_rows($result1);		
		
		if($RecordCount > 0 )
		{
		print "<span class=\"sas_module_subtitle\">$category_list[1]</span><br/>";
		
			while ($article_list = mysqli_fetch_array($result1))
			{
				print "<img src=\"" . $cmsdir . "/modules/sn_news/templates/" . $sas_config['news_template'] . "/arrow.gif\" border=\"0\" width=\"8\" height=\"8\" alt=\"arrow\"/>
						&nbsp;<a href=\"index.php?section=$section&amp;page=$page&amp;article=$article_list[0]\" class=\"sas_module_link\">
						$article_list[2] - $article_list[1]</a><br/>\n";
			}
		}
	}
}
?>