<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.5.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Portal module : 
* sn_forum_portal.php: last changed 26/01/2007 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$table_forumcat = $dbprefix . "m_forumcat";
$table_forumtopics = $dbprefix . "m_forumtopics";
$table_forumreplies = $dbprefix . "m_forumreplies";

//check if we have a page and section id for a forum
$query3 = "SELECT id, section FROM $table_pages WHERE module = 'sn_forum/index.php' AND hidden != 'yes'";
$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
$RecordCount = mysqli_num_rows($result3);

if ($RecordCount > 0)
{
	$page = mysqli_result($result3, 0, 0);
	$section = mysqli_result($result3, 0, 1);
	$link = "index.php?page=$page&amp;section=$section&amp;option=topicdetails";

	//$query4 = "SELECT date_format(f.date, '%d-%m-%Y') AS Readable_Date, f.topictitle, c.cat_index, f.topic_index FROM $table_forumtopics f 
	//			LEFT JOIN $table_forumcat c ON f.cat_index = c.cat_index WHERE c.type = 3 ORDER BY f.date DESC LIMIT 0,$items";
	
	//we only use topics which have a reply to it.
	$query4 = "SELECT date_format(f.date, '%d-%m-%Y') AS Readable_Date, f.topictitle, c.cat_index, f.topic_index, r.replybody 
				FROM $table_forumtopics f 
				LEFT JOIN $table_forumcat c ON f.cat_index = c.cat_index 
				LEFT JOIN $table_forumreplies r ON f.topic_index = r.topicindex 
				WHERE c.type = 3 AND r.replybody != ''
				GROUP BY f.topictitle
				ORDER BY r.date DESC LIMIT 0,$items";
	
	
	$result4 = mysqli_query($db,$query4) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query4 . '".',E_USER_WARNING);
	$RecordCount = mysqli_num_rows($result4);
	
	if ($RecordCount > 0)
	{
	
		print "\n<table cellpadding=\"0\" cellspacing=\"2\">\n
				<tr><td colspan=\"3\"><span class=\"sas_module_subtitle\">" . $description . "</span></td></tr>\n
				<tr><td><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_date']."</span></td>
				<td>&nbsp;</td>
				<td><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_subject']."</span></td>
				<td><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_answer']."</span></td></tr>\n";
				
		while ($forum_list = mysqli_fetch_array($result4))
		{	
				$title = $forum_list[1] ;
				$descr = substr(strip_tags($forum_list[4]),0,35) ;
				$link .= "&forumid=$forum_list[2]&topicid=$forum_list[3]";
	
			print "<tr><td valign=\"top\"><span class=\"sas_module_text\">$forum_list[0]</span></td>
					<td>&nbsp;</td>
					<td valign=\"top\"><span class=\"sas_module_text\">$title </span></td>
					<td><span class=\"sas_module_text\">$descr, </span><span class=\"sas_module_link\">
					<a href=\"$link\" target=\"$target\">".$sas_lang['portal_module_read_more']."</a></span></td>
					</tr>\n";
		}
		print "</table>\n";
	}
}
?>